Skip to main content
`Ctrl`+`K`

# MatFDColoringView

Views a finite difference coloring context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringView(MatFDColoring c, PetscViewer viewer)

Collective

## Input Parameters

- c - the coloring context

- viewer - visualization context

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

- `PETSC_VIEWER_DRAW_WORLD` - graphical display of nonzero structure

Since PETSc uses only a small number of basic colors (currently 33), if the coloring involves more than 33 then some seemingly identical colors are displayed making it look like an illegal coloring. This is just a graphical artifact.

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`

## Level

intermediate

## Location

src/mat/matfd/fdmatrix.c

## Examples

src/mat/tutorials/ex16.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages